package a.b.a.i;

import java.util.Random;
import java.util.UUID;

public class h {
    public static String a(int i) {
        Random random = new Random(UUID.randomUUID().getMostSignificantBits());
        char[] charArray = "`-=~!@#$%^&*()_+,./;'[]\\<>?:\"{}|abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789".toCharArray();
        StringBuilder sb = new StringBuilder();
        for (int i2 = 0; i2 < i; i2++) {
            sb.append(charArray[random.nextInt(charArray.length)]);
        }
        return sb.toString();
    }

    public static String b(int i) {
        StringBuilder sb = new StringBuilder();
        Random random = new Random();
        if (i > 0) {
            for (int i2 = 0; i2 < i; i2++) {
                sb.append(random.nextInt(10));
            }
        }
        return sb.toString();
    }
}
